OpenJPEG: opj_tcd_resolution Struct Reference

OpenJPEG 2.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
opj_tcd_resolution Struct Reference
TCD - Implementation of a tile coder/decoder

FIXME DOC. More...

`#include <tcd.h>`

## Data Fields
OPJ_INT32 | x0
OPJ_INT32 | y0
OPJ_INT32 | x1
OPJ_INT32 | y1
OPJ_UINT32 | pw
OPJ_UINT32 | ph
OPJ_UINT32 | numbands
opj_tcd_band_t | bands [3]

## Detailed Description

FIXME DOC.

## Field Documentation

opj_tcd_band_t opj_tcd_resolution::bands[3]

Referenced by opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_t2_encode_packet(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), opj_tcd_free_tile(), opj_tcd_init_tile(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), and opj_tcd_rateallocate().

OPJ_UINT32 opj_tcd_resolution::numbands

Referenced by opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_t2_encode_packet(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), opj_tcd_init_tile(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), and opj_tcd_rateallocate().

OPJ_UINT32 opj_tcd_resolution::ph

Referenced by opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_tcd_decode_tile(), opj_tcd_encode_tile(), opj_tcd_init_tile(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), and opj_tcd_rateallocate().

OPJ_UINT32 opj_tcd_resolution::pw

Referenced by opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_tcd_decode_tile(), opj_tcd_encode_tile(), opj_tcd_init_tile(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), and opj_tcd_rateallocate().

OPJ_INT32 opj_tcd_resolution::x0

Referenced by opj_dwt_decode_real(), opj_dwt_decode_tile(), opj_dwt_encode_procedure(), opj_j2k_update_image_data(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_tcd_dc_level_shift_decode(), opj_tcd_get_decoded_tile_size(), opj_tcd_init_tile(), and opj_tcd_update_tile_data().

OPJ_INT32 opj_tcd_resolution::x1

Referenced by opj_dwt_decode_real(), opj_dwt_decode_tile(), opj_dwt_encode_procedure(), opj_j2k_update_image_data(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_tcd_dc_level_shift_decode(), opj_tcd_get_decoded_tile_size(), opj_tcd_init_tile(), and opj_tcd_update_tile_data().

OPJ_INT32 opj_tcd_resolution::y0

Referenced by opj_dwt_decode_real(), opj_dwt_decode_tile(), opj_dwt_encode_procedure(), opj_j2k_update_image_data(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_tcd_dc_level_shift_decode(), opj_tcd_get_decoded_tile_size(), opj_tcd_init_tile(), and opj_tcd_update_tile_data().

OPJ_INT32 opj_tcd_resolution::y1

Referenced by opj_dwt_decode_real(), opj_dwt_decode_tile(), opj_dwt_encode_procedure(), opj_j2k_update_image_data(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_tcd_dc_level_shift_decode(), opj_tcd_get_decoded_tile_size(), opj_tcd_init_tile(), and opj_tcd_update_tile_data().

The documentation for this struct was generated from the following file:

- tcd.h